---
title: "Get Channel Integrations"
slug: "get-channel-integrations"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel Integrations

Get/api/v1/channels.getIntegrations

Retrieves the integrations that the channel has. The endpoint requires at least one of the following integration permissions:

- `manage-incoming-integrations`
- `manage-own-incoming-integrations`
- `manage-outgoing-integrations`
- `manage-own-outgoing-integrations`.

It will return the integrations based on the user's permission.

### Changelog

| Version | Description |
| --- | --- |
| 1.1.0 | Separate permissions in `incoming` and `outgoing`. |
| 0.49.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstringRequired

The room id.

Examplejdiue8TGkodp
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

fieldsstring

This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: `fields={ &quot;username&quot;: 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

query

This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter "g": `query={ &quot;name&quot;: { &quot;$regex&quot;: &quot;g&quot; } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='6c82f084-54c5-426a-8f40-be3d6fd4669b'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='aa8dde1a-701b-44ef-a87c-b2c528dbed12'>Example</option>
</select>Example

```json
{
  "integrations": [
    {
      "_id": "WMQDChpnYTRmFre9h",
      "enabled": true,
      "username": "rocket.cat",
      "alias": "Guggy",
      "avatar": "http://res.guggy.com/logo_128.png",
      "name": "Guggy",
      "triggerWords": [
        "!guggy",
        "guggy",
        "gif+"
      ],
      "urls": [
        "http://text2gif.guggy.com/guggify"
      ],
      "token": "8DFS89DMKLWEN",
      "script": "const config = {color: '#ffffff'};class Script{}",
      "scriptEnabled": true,
      "impersonateUser": false,
      "scriptCompiled": "function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor));",
      "scriptError": "",
      "type": "webhook-outgoing",
      "userId": "rocket.cat",
      "channel": [],
      "_createdAt": "2017-01-05T17:06:05.660Z",
      "_createdBy": {
        "username": "graywolf336",
        "_id": "R4jgcQaQhvvK6K3iY"
      },
      "_updatedAt": "2017-01-05T17:06:05.660Z"
    }
  ],
  "success": true
}
```

Expand Allobject  integrations Array of object   object  _idstring    
enabledboolean    
usernamestring    
aliasstring    
avatarstring    
namestring    
triggerWords Array of string   string    
urls Array of string   string    
tokenstring    
scriptstring    
scriptEnabledboolean    
impersonateUserboolean    
scriptCompiledstring    
scriptErrorstring    
typestring    
userIdstring    
channel Array of object   object  
_createdAtstring    
_createdByobject  usernamestring    
_idstring    

_updatedAtstring    

successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='f1c614d6-afad-4a26-8d7b-00acf93ca979'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7c1cdfff-1b0e-46e9-98d5-455edccdbf22'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
